﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="NewComment.ascx.cs" Inherits="uForum.usercontrols.uForum.NewComment" %>
<asp:MultiView ID="mvwControl" ActiveViewIndex="0" runat="server">
<asp:View ID="vwNewComment" runat="server">
    <div id="topicForm">
        <h3>
            Add reply</h3>
        <fieldset>
            <p>
                <asp:TextBox TextMode="MultiLine" Width="100%" Height="300" ID="commentBody" runat="server" />
            </p>
            <p>
                <asp:Button runat="server" ID="btCreateComment" Text="Submit comment" OnClick="create_Click"/>
                <asp:RequiredFieldValidator ControlToValidate="commentBody" Text="Body is mandatory!" CssClass="validation" runat="server" />
            </p>
        </fieldset>
    </div>
</asp:View>
<asp:View ID="vwLogin" runat="server">
    <div class="notice">
		<h4 style="text-align: center;">You do not have permission to post in this forum!</h4>
		<p>Log in, or contact the system administrator</p>
    </div>
</asp:View>
<asp:View ID="vwError" runat="server">
    <div class="notice">
		<h4 style="text-align: center;">An error occurred while posting your comment!</h4>
        <p><asp:Literal ID="litErrorText" runat="server" /></p>
    </div>
</asp:View>
</asp:MultiView>
