﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="NewForumTopic.ascx.cs"
	Inherits="uForum.usercontrols.uForum.NewForumTopic" %>
<asp:MultiView ID="mvwControls" ActiveViewIndex="0" runat="server">
	<asp:View ID="vwCreate" runat="server">
		<div id="topicForm">
			<fieldset>
				<p>
                    <asp:Label AssociatedControlID="titleTextbox" Text="Topic title" runat="server" />
					<asp:RequiredFieldValidator ControlToValidate="titleTextbox" Text="*" ErrorMessage="Title is a required field" CssClass="validation" runat="server" />
                    <asp:TextBox ID="titleTextbox" Width="830" CssClass="title" runat="server" />
                    
				</p>
				<p>
                    <asp:Label AssociatedControlID="topicBodyTextbox" Text="Topic body" runat="server" />
                    <asp:RequiredFieldValidator ControlToValidate="topicBodyTextbox" Text="*" ErrorMessage="Body is a required field" CssClass="validation" runat="server" />
                    <asp:TextBox ID="topicBodyTextbox" TextMode="MultiLine" Width="100%" Height="300" runat="server" />
				</p>
				<div class="buttons" title="Sub">
                    <asp:ValidationSummary DisplayMode="BulletList" EnableClientScript="true" CssClass="validation" runat="server" />
					<asp:Button ID="btCreateTopic" runat="server" OnClick="create_Click" Text="Submit" />
				</div>
			</fieldset>
		</div>
	</asp:View>
	<asp:View ID="vwLogin" runat="server">
		<div class="notice">
			<h4 style="text-align: center;">You do not have permission to post in this forum!</h4>
			<p>Log in, or contact the system administrator</p>
		</div>
	</asp:View>
	<asp:View ID="vwError" runat="server">
		<div class="notice">
			<h4 style="text-align: center;">An error occurred!</h4>
            <p><asp:Literal ID="litErrorText" runat="server" /></p>
		</div>
	</asp:View>
</asp:MultiView>